/*	$NetBSD: aht20reg.h,v 1.1 2022/11/17 19:20:06 brad Exp $	*/

/*
 * Copyright (c) 2022 Brad Spencer <brad@anduin.eldar.org>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _DEV_I2C_AHT20REG_H_
#define _DEV_I2C_AHT20REG_H_

#define AHT20_TYPICAL_ADDR		0x38

#define AHT20_INITIALIZE		0xBE
#define AHT20_INITIALIZE_PARAM1		0x08
#define AHT20_INITIALIZE_PARAM2		0x00

#define AHT20_TRIGGER_MEASUREMENT	0xAC
#define AHT20_TRIGGER_PARAM1		0x33
#define AHT20_TRIGGER_PARAM2		0x00

#define AHT20_GET_STATUS		0x71
#define AHT20_STATUS_BUSY_MASK		0x80
#define AHT20_STATUS_CAL_MASK		0x08
#define AHT20_SOFT_RESET		0xBA

#endif
