/* $NetBSD: init_sysent.c,v 1.339 2021/11/01 05:26:27 thorpej Exp $ */

/*
 * System call switch table.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.309 2021/11/01 05:07:17 thorpej Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD: init_sysent.c,v 1.339 2021/11/01 05:26:27 thorpej Exp $");

#ifdef _KERNEL_OPT
#include "opt_modular.h"
#include "opt_ntp.h"
#include "opt_sysv.h"
#endif
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/socket.h>
#include <sys/mount.h>
#include <sys/sched.h>
#include <sys/idtype.h>
#include <sys/syscallargs.h>
#include <sys/acl.h>

#ifdef COMPAT_43
#define	compat_43(func) __CONCAT(compat_43_,func)
#else
#define	compat_43(func) sys_nosys
#endif

#ifdef COMPAT_09
#define	compat_09(func) __CONCAT(compat_09_,func)
#else
#define	compat_09(func) sys_nosys
#endif

#ifdef COMPAT_10
#define	compat_10(func) __CONCAT(compat_10_,func)
#else
#define	compat_10(func) sys_nosys
#endif

#ifdef COMPAT_11
#define	compat_11(func) __CONCAT(compat_11_,func)
#else
#define	compat_11(func) sys_nosys
#endif

#ifdef COMPAT_12
#define	compat_12(func) __CONCAT(compat_12_,func)
#else
#define	compat_12(func) sys_nosys
#endif

#ifdef COMPAT_13
#define	compat_13(func) __CONCAT(compat_13_,func)
#else
#define	compat_13(func) sys_nosys
#endif

#ifdef COMPAT_14
#define	compat_14(func) __CONCAT(compat_14_,func)
#else
#define	compat_14(func) sys_nosys
#endif

#ifdef COMPAT_15
#define	compat_15(func) __CONCAT(compat_15_,func)
#else
#define	compat_15(func) sys_nosys
#endif

#ifdef COMPAT_16
#define	compat_16(func) __CONCAT(compat_16_,func)
#else
#define	compat_16(func) sys_nosys
#endif

#ifdef COMPAT_20
#define	compat_20(func) __CONCAT(compat_20_,func)
#else
#define	compat_20(func) sys_nosys
#endif

#ifdef COMPAT_30
#define	compat_30(func) __CONCAT(compat_30_,func)
#else
#define	compat_30(func) sys_nosys
#endif

#ifdef COMPAT_40
#define	compat_40(func) __CONCAT(compat_40_,func)
#else
#define	compat_40(func) sys_nosys
#endif

#ifdef COMPAT_50
#define	compat_50(func) __CONCAT(compat_50_,func)
#else
#define	compat_50(func) sys_nosys
#endif

#ifdef COMPAT_60
#define	compat_60(func) __CONCAT(compat_60_,func)
#else
#define	compat_60(func) sys_nosys
#endif

#ifdef COMPAT_70
#define	compat_70(func) __CONCAT(compat_70_,func)
#else
#define	compat_70(func) sys_nosys
#endif

#ifdef COMPAT_80
#define	compat_80(func) __CONCAT(compat_80_,func)
#else
#define	compat_80(func) sys_nosys
#endif

#ifdef COMPAT_90
#define	compat_90(func) __CONCAT(compat_90_,func)
#else
#define	compat_90(func) sys_nosys
#endif

#define	s(type)	sizeof(type)
#define	n(type)	(sizeof(type)/sizeof (register_t))
#define	ns(type)	.sy_narg = n(type), .sy_argsize = s(type)

struct sysent sysent[] = {
	{
		ns(struct sys_syscall_args),
		.sy_flags = SYCALL_INDIRECT,
		.sy_call = (sy_call_t *)sys_syscall
	},		/* 0 = syscall */
	{
		ns(struct sys_exit_args),
		.sy_call = (sy_call_t *)sys_exit
	},		/* 1 = exit */
	{
		.sy_call = (sy_call_t *)sys_fork
	},		/* 2 = fork */
	{
		ns(struct sys_read_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_read
	},		/* 3 = read */
	{
		ns(struct sys_write_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_write
	},		/* 4 = write */
	{
		ns(struct sys_open_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_open
	},		/* 5 = open */
	{
		ns(struct sys_close_args),
		.sy_call = (sy_call_t *)sys_close
	},		/* 6 = close */
	{
		ns(struct compat_50_sys_wait4_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 7 = compat_50_wait4 */
	{
		ns(struct compat_43_sys_creat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 8 = compat_43_ocreat */
	{
		ns(struct sys_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_link
	},		/* 9 = link */
	{
		ns(struct sys_unlink_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_unlink
	},		/* 10 = unlink */
	{
		.sy_call = sys_nosys,
	},		/* 11 = filler */
	{
		ns(struct sys_chdir_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_chdir
	},		/* 12 = chdir */
	{
		ns(struct sys_fchdir_args),
		.sy_call = (sy_call_t *)sys_fchdir
	},		/* 13 = fchdir */
	{
		ns(struct compat_50_sys_mknod_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 14 = compat_50_mknod */
	{
		ns(struct sys_chmod_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_chmod
	},		/* 15 = chmod */
	{
		ns(struct sys_chown_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_chown
	},		/* 16 = chown */
	{
		ns(struct sys_obreak_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_obreak
	},		/* 17 = break */
	{
		ns(struct compat_20_sys_getfsstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 18 = compat_20_getfsstat */
	{
		ns(struct compat_43_sys_lseek_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 19 = compat_43_olseek */
	{
		.sy_call = (sy_call_t *)sys_getpid_with_ppid
	},		/* 20 = getpid */
	{
		ns(struct compat_40_sys_mount_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 21 = compat_40_mount */
	{
		ns(struct sys_unmount_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_unmount
	},		/* 22 = unmount */
	{
		ns(struct sys_setuid_args),
		.sy_call = (sy_call_t *)sys_setuid
	},		/* 23 = setuid */
	{
		.sy_call = (sy_call_t *)sys_getuid_with_euid
	},		/* 24 = getuid */
	{
		.sy_call = (sy_call_t *)sys_geteuid
	},		/* 25 = geteuid */
	{
		ns(struct sys_ptrace_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 26 = ptrace */
	{
		ns(struct sys_recvmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_recvmsg
	},		/* 27 = recvmsg */
	{
		ns(struct sys_sendmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_sendmsg
	},		/* 28 = sendmsg */
	{
		ns(struct sys_recvfrom_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_recvfrom
	},		/* 29 = recvfrom */
	{
		ns(struct sys_accept_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_accept
	},		/* 30 = accept */
	{
		ns(struct sys_getpeername_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getpeername
	},		/* 31 = getpeername */
	{
		ns(struct sys_getsockname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getsockname
	},		/* 32 = getsockname */
	{
		ns(struct sys_access_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_access
	},		/* 33 = access */
	{
		ns(struct sys_chflags_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_chflags
	},		/* 34 = chflags */
	{
		ns(struct sys_fchflags_args),
		.sy_call = (sy_call_t *)sys_fchflags
	},		/* 35 = fchflags */
	{
		.sy_call = (sy_call_t *)sys_sync
	},		/* 36 = sync */
	{
		ns(struct sys_kill_args),
		.sy_call = (sy_call_t *)sys_kill
	},		/* 37 = kill */
	{
		ns(struct compat_43_sys_stat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 38 = compat_43_stat43 */
	{
		.sy_call = (sy_call_t *)sys_getppid
	},		/* 39 = getppid */
	{
		ns(struct compat_43_sys_lstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 40 = compat_43_lstat43 */
	{
		ns(struct sys_dup_args),
		.sy_call = (sy_call_t *)sys_dup
	},		/* 41 = dup */
	{
		.sy_call = (sy_call_t *)sys_pipe
	},		/* 42 = pipe */
	{
		.sy_call = (sy_call_t *)sys_getegid
	},		/* 43 = getegid */
	{
		ns(struct sys_profil_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_profil
	},		/* 44 = profil */
	{
		ns(struct sys_ktrace_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_ktrace
	},		/* 45 = ktrace */
	{
		ns(struct compat_13_sys_sigaction_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 46 = compat_13_sigaction13 */
	{
		.sy_call = (sy_call_t *)sys_getgid_with_egid
	},		/* 47 = getgid */
	{
		ns(struct compat_13_sys_sigprocmask_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 48 = compat_13_sigprocmask13 */
	{
		ns(struct sys___getlogin_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getlogin
	},		/* 49 = __getlogin */
	{
		ns(struct sys___setlogin_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___setlogin
	},		/* 50 = __setlogin */
	{
		ns(struct sys_acct_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_acct
	},		/* 51 = acct */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 52 = compat_13_sigpending13 */
	{
		ns(struct compat_13_sys_sigaltstack_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 53 = compat_13_sigaltstack13 */
	{
		ns(struct sys_ioctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_ioctl
	},		/* 54 = ioctl */
	{
		ns(struct compat_12_sys_reboot_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 55 = compat_12_oreboot */
	{
		ns(struct sys_revoke_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_revoke
	},		/* 56 = revoke */
	{
		ns(struct sys_symlink_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_symlink
	},		/* 57 = symlink */
	{
		ns(struct sys_readlink_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_readlink
	},		/* 58 = readlink */
	{
		ns(struct sys_execve_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_execve
	},		/* 59 = execve */
	{
		ns(struct sys_umask_args),
		.sy_call = (sy_call_t *)sys_umask
	},		/* 60 = umask */
	{
		ns(struct sys_chroot_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_chroot
	},		/* 61 = chroot */
	{
		ns(struct compat_43_sys_fstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 62 = compat_43_fstat43 */
	{
		ns(struct compat_43_sys_getkerninfo_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 63 = compat_43_ogetkerninfo */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 64 = compat_43_ogetpagesize */
	{
		ns(struct compat_12_sys_msync_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 65 = compat_12_msync */
	{
		.sy_call = (sy_call_t *)sys_vfork
	},		/* 66 = vfork */
	{
		.sy_call = sys_nosys,
	},		/* 67 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 68 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 69 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 70 = filler */
	{
		ns(struct compat_43_sys_mmap_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 71 = compat_43_ommap */
	{
		ns(struct sys_ovadvise_args),
		.sy_call = (sy_call_t *)sys_ovadvise
	},		/* 72 = vadvise */
	{
		ns(struct sys_munmap_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_munmap
	},		/* 73 = munmap */
	{
		ns(struct sys_mprotect_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mprotect
	},		/* 74 = mprotect */
	{
		ns(struct sys_madvise_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_madvise
	},		/* 75 = madvise */
	{
		.sy_call = sys_nosys,
	},		/* 76 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 77 = filler */
	{
		ns(struct sys_mincore_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mincore
	},		/* 78 = mincore */
	{
		ns(struct sys_getgroups_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getgroups
	},		/* 79 = getgroups */
	{
		ns(struct sys_setgroups_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_setgroups
	},		/* 80 = setgroups */
	{
		.sy_call = (sy_call_t *)sys_getpgrp
	},		/* 81 = getpgrp */
	{
		ns(struct sys_setpgid_args),
		.sy_call = (sy_call_t *)sys_setpgid
	},		/* 82 = setpgid */
	{
		ns(struct compat_50_sys_setitimer_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 83 = compat_50_setitimer */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 84 = compat_43_owait */
	{
		ns(struct compat_12_sys_swapon_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 85 = compat_12_oswapon */
	{
		ns(struct compat_50_sys_getitimer_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 86 = compat_50_getitimer */
	{
		ns(struct compat_43_sys_gethostname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 87 = compat_43_ogethostname */
	{
		ns(struct compat_43_sys_sethostname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 88 = compat_43_osethostname */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 89 = compat_43_ogetdtablesize */
	{
		ns(struct sys_dup2_args),
		.sy_call = (sy_call_t *)sys_dup2
	},		/* 90 = dup2 */
	{
		ns(struct sys_getrandom_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getrandom
	},		/* 91 = getrandom */
	{
		ns(struct sys_fcntl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fcntl
	},		/* 92 = fcntl */
	{
		ns(struct compat_50_sys_select_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 93 = compat_50_select */
	{
		.sy_call = sys_nosys,
	},		/* 94 = filler */
	{
		ns(struct sys_fsync_args),
		.sy_call = (sy_call_t *)sys_fsync
	},		/* 95 = fsync */
	{
		ns(struct sys_setpriority_args),
		.sy_call = (sy_call_t *)sys_setpriority
	},		/* 96 = setpriority */
	{
		ns(struct compat_30_sys_socket_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 97 = compat_30_socket */
	{
		ns(struct sys_connect_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_connect
	},		/* 98 = connect */
	{
		ns(struct compat_43_sys_accept_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 99 = compat_43_oaccept */
	{
		ns(struct sys_getpriority_args),
		.sy_call = (sy_call_t *)sys_getpriority
	},		/* 100 = getpriority */
	{
		ns(struct compat_43_sys_send_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 101 = compat_43_osend */
	{
		ns(struct compat_43_sys_recv_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 102 = compat_43_orecv */
	{
		ns(struct compat_13_sys_sigreturn_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 103 = compat_13_sigreturn13 */
	{
		ns(struct sys_bind_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_bind
	},		/* 104 = bind */
	{
		ns(struct sys_setsockopt_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_setsockopt
	},		/* 105 = setsockopt */
	{
		ns(struct sys_listen_args),
		.sy_call = (sy_call_t *)sys_listen
	},		/* 106 = listen */
	{
		.sy_call = sys_nosys,
	},		/* 107 = filler */
	{
		ns(struct compat_43_sys_sigvec_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 108 = compat_43_osigvec */
	{
		ns(struct compat_43_sys_sigblock_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 109 = compat_43_osigblock */
	{
		ns(struct compat_43_sys_sigsetmask_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 110 = compat_43_osigsetmask */
	{
		ns(struct compat_13_sys_sigsuspend_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 111 = compat_13_sigsuspend13 */
	{
		ns(struct compat_43_sys_sigstack_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 112 = compat_43_osigstack */
	{
		ns(struct compat_43_sys_recvmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 113 = compat_43_orecvmsg */
	{
		ns(struct compat_43_sys_sendmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 114 = compat_43_osendmsg */
	{
		.sy_call = sys_nosys,
	},		/* 115 = filler */
	{
		ns(struct compat_50_sys_gettimeofday_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 116 = compat_50_gettimeofday */
	{
		ns(struct compat_50_sys_getrusage_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 117 = compat_50_getrusage */
	{
		ns(struct sys_getsockopt_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getsockopt
	},		/* 118 = getsockopt */
	{
		.sy_call = sys_nosys,
	},		/* 119 = filler */
	{
		ns(struct sys_readv_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_readv
	},		/* 120 = readv */
	{
		ns(struct sys_writev_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_writev
	},		/* 121 = writev */
	{
		ns(struct compat_50_sys_settimeofday_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 122 = compat_50_settimeofday */
	{
		ns(struct sys_fchown_args),
		.sy_call = (sy_call_t *)sys_fchown
	},		/* 123 = fchown */
	{
		ns(struct sys_fchmod_args),
		.sy_call = (sy_call_t *)sys_fchmod
	},		/* 124 = fchmod */
	{
		ns(struct compat_43_sys_recvfrom_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 125 = compat_43_orecvfrom */
	{
		ns(struct sys_setreuid_args),
		.sy_call = (sy_call_t *)sys_setreuid
	},		/* 126 = setreuid */
	{
		ns(struct sys_setregid_args),
		.sy_call = (sy_call_t *)sys_setregid
	},		/* 127 = setregid */
	{
		ns(struct sys_rename_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_rename
	},		/* 128 = rename */
	{
		ns(struct compat_43_sys_truncate_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 129 = compat_43_otruncate */
	{
		ns(struct compat_43_sys_ftruncate_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 130 = compat_43_oftruncate */
	{
		ns(struct sys_flock_args),
		.sy_call = (sy_call_t *)sys_flock
	},		/* 131 = flock */
	{
		ns(struct sys_mkfifo_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mkfifo
	},		/* 132 = mkfifo */
	{
		ns(struct sys_sendto_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_sendto
	},		/* 133 = sendto */
	{
		ns(struct sys_shutdown_args),
		.sy_call = (sy_call_t *)sys_shutdown
	},		/* 134 = shutdown */
	{
		ns(struct sys_socketpair_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_socketpair
	},		/* 135 = socketpair */
	{
		ns(struct sys_mkdir_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mkdir
	},		/* 136 = mkdir */
	{
		ns(struct sys_rmdir_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_rmdir
	},		/* 137 = rmdir */
	{
		ns(struct compat_50_sys_utimes_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 138 = compat_50_utimes */
	{
		.sy_call = sys_nosys,
	},		/* 139 = filler */
	{
		ns(struct compat_50_sys_adjtime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 140 = compat_50_adjtime */
	{
		ns(struct compat_43_sys_getpeername_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 141 = compat_43_ogetpeername */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 142 = compat_43_ogethostid */
	{
		ns(struct compat_43_sys_sethostid_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 143 = compat_43_osethostid */
	{
		ns(struct compat_43_sys_getrlimit_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 144 = compat_43_ogetrlimit */
	{
		ns(struct compat_43_sys_setrlimit_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 145 = compat_43_osetrlimit */
	{
		ns(struct compat_43_sys_killpg_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 146 = compat_43_okillpg */
	{
		.sy_call = (sy_call_t *)sys_setsid
	},		/* 147 = setsid */
	{
		ns(struct compat_50_sys_quotactl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 148 = compat_50_quotactl */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 149 = compat_43_oquota */
	{
		ns(struct compat_43_sys_getsockname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 150 = compat_43_ogetsockname */
	{
		.sy_call = sys_nosys,
	},		/* 151 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 152 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 153 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 154 = filler */
	{
		ns(struct sys_nfssvc_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 155 = nfssvc */
	{
		ns(struct compat_43_sys_getdirentries_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 156 = compat_43_ogetdirentries */
	{
		ns(struct compat_20_sys_statfs_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 157 = compat_20_statfs */
	{
		ns(struct compat_20_sys_fstatfs_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 158 = compat_20_fstatfs */
	{
		.sy_call = sys_nosys,
	},		/* 159 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 160 = filler */
	{
		ns(struct compat_30_sys_getfh_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 161 = compat_30_getfh */
	{
		ns(struct compat_09_sys_getdomainname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 162 = compat_09_ogetdomainname */
	{
		ns(struct compat_09_sys_setdomainname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 163 = compat_09_osetdomainname */
	{
		ns(struct compat_09_sys_uname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 164 = compat_09_ouname */
	{
		ns(struct sys_sysarch_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_sysarch
	},		/* 165 = sysarch */
	{
		ns(struct sys___futex_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___futex
	},		/* 166 = __futex */
	{
		ns(struct sys___futex_set_robust_list_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___futex_set_robust_list
	},		/* 167 = __futex_set_robust_list */
	{
		ns(struct sys___futex_get_robust_list_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___futex_get_robust_list
	},		/* 168 = __futex_get_robust_list */
#if !defined(_LP64)
	{
		ns(struct compat_10_sys_semsys_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 169 = compat_10_osemsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 169 = filler */
#endif
#if !defined(_LP64)
	{
		ns(struct compat_10_sys_msgsys_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 170 = compat_10_omsgsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 170 = filler */
#endif
#if !defined(_LP64)
	{
		ns(struct compat_10_sys_shmsys_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 171 = compat_10_oshmsys */
#else
	{
		.sy_call = sys_nosys,
	},		/* 171 = filler */
#endif
	{
		.sy_call = sys_nosys,
	},		/* 172 = filler */
	{
		ns(struct sys_pread_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG4_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pread
	},		/* 173 = pread */
	{
		ns(struct sys_pwrite_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG4_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pwrite
	},		/* 174 = pwrite */
	{
		ns(struct compat_30_sys_ntp_gettime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 175 = compat_30_ntp_gettime */
#if defined(NTP) || !defined(_KERNEL_OPT)
	{
		ns(struct sys_ntp_adjtime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_ntp_adjtime
	},		/* 176 = ntp_adjtime */
#else
	{
		.sy_call = sys_nosys,
	},		/* 176 = filler */
#endif
	{
		ns(struct sys_timerfd_create_args),
		.sy_call = (sy_call_t *)sys_timerfd_create
	},		/* 177 = timerfd_create */
	{
		ns(struct sys_timerfd_settime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_timerfd_settime
	},		/* 178 = timerfd_settime */
	{
		ns(struct sys_timerfd_gettime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_timerfd_gettime
	},		/* 179 = timerfd_gettime */
	{
		.sy_call = sys_nosys,
	},		/* 180 = filler */
	{
		ns(struct sys_setgid_args),
		.sy_call = (sy_call_t *)sys_setgid
	},		/* 181 = setgid */
	{
		ns(struct sys_setegid_args),
		.sy_call = (sy_call_t *)sys_setegid
	},		/* 182 = setegid */
	{
		ns(struct sys_seteuid_args),
		.sy_call = (sy_call_t *)sys_seteuid
	},		/* 183 = seteuid */
	{
		ns(struct sys_lfs_bmapv_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 184 = lfs_bmapv */
	{
		ns(struct sys_lfs_markv_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 185 = lfs_markv */
	{
		ns(struct sys_lfs_segclean_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 186 = lfs_segclean */
	{
		ns(struct compat_50_sys_lfs_segwait_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 187 = compat_50_lfs_segwait */
	{
		ns(struct compat_12_sys_stat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 188 = compat_12_stat12 */
	{
		ns(struct compat_12_sys_fstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 189 = compat_12_fstat12 */
	{
		ns(struct compat_12_sys_lstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 190 = compat_12_lstat12 */
	{
		ns(struct sys_pathconf_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pathconf
	},		/* 191 = pathconf */
	{
		ns(struct sys_fpathconf_args),
		.sy_call = (sy_call_t *)sys_fpathconf
	},		/* 192 = fpathconf */
	{
		ns(struct sys_getsockopt2_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getsockopt2
	},		/* 193 = getsockopt2 */
	{
		ns(struct sys_getrlimit_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getrlimit
	},		/* 194 = getrlimit */
	{
		ns(struct sys_setrlimit_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_setrlimit
	},		/* 195 = setrlimit */
	{
		ns(struct compat_12_sys_getdirentries_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 196 = compat_12_getdirentries */
	{
		ns(struct sys_mmap_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG6_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mmap
	},		/* 197 = mmap */
	{
		ns(struct sys___syscall_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG0_64 | SYCALL_RET_64 | SYCALL_INDIRECT,
		.sy_call = (sy_call_t *)sys___syscall
	},		/* 198 = __syscall */
	{
		ns(struct sys_lseek_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG2_64 | SYCALL_RET_64,
		.sy_call = (sy_call_t *)sys_lseek
	},		/* 199 = lseek */
	{
		ns(struct sys_truncate_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG2_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_truncate
	},		/* 200 = truncate */
	{
		ns(struct sys_ftruncate_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG2_64,
		.sy_call = (sy_call_t *)sys_ftruncate
	},		/* 201 = ftruncate */
	{
		ns(struct sys___sysctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sysctl
	},		/* 202 = __sysctl */
	{
		ns(struct sys_mlock_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mlock
	},		/* 203 = mlock */
	{
		ns(struct sys_munlock_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_munlock
	},		/* 204 = munlock */
	{
		ns(struct sys_undelete_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_undelete
	},		/* 205 = undelete */
	{
		ns(struct compat_50_sys_futimes_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 206 = compat_50_futimes */
	{
		ns(struct sys_getpgid_args),
		.sy_call = (sy_call_t *)sys_getpgid
	},		/* 207 = getpgid */
	{
		ns(struct sys_reboot_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_reboot
	},		/* 208 = reboot */
	{
		ns(struct sys_poll_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_poll
	},		/* 209 = poll */
	{
		ns(struct sys_afssys_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 210 = afssys */
	{
		.sy_call = sys_nosys,
	},		/* 211 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 212 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 213 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 214 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 215 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 216 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 217 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 218 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 219 = filler */
	{
		ns(struct compat_14_sys___semctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 220 = compat_14___semctl */
	{
		ns(struct sys_semget_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 221 = semget */
	{
		ns(struct sys_semop_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 222 = semop */
	{
		ns(struct sys_semconfig_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 223 = semconfig */
	{
		ns(struct compat_14_sys_msgctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 224 = compat_14_msgctl */
	{
		ns(struct sys_msgget_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 225 = msgget */
	{
		ns(struct sys_msgsnd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 226 = msgsnd */
	{
		ns(struct sys_msgrcv_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 227 = msgrcv */
	{
		ns(struct sys_shmat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 228 = shmat */
	{
		ns(struct compat_14_sys_shmctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 229 = compat_14_shmctl */
	{
		ns(struct sys_shmdt_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 230 = shmdt */
	{
		ns(struct sys_shmget_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 231 = shmget */
	{
		ns(struct compat_50_sys_clock_gettime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 232 = compat_50_clock_gettime */
	{
		ns(struct compat_50_sys_clock_settime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 233 = compat_50_clock_settime */
	{
		ns(struct compat_50_sys_clock_getres_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 234 = compat_50_clock_getres */
	{
		ns(struct sys_timer_create_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_timer_create
	},		/* 235 = timer_create */
	{
		ns(struct sys_timer_delete_args),
		.sy_call = (sy_call_t *)sys_timer_delete
	},		/* 236 = timer_delete */
	{
		ns(struct compat_50_sys_timer_settime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 237 = compat_50_timer_settime */
	{
		ns(struct compat_50_sys_timer_gettime_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 238 = compat_50_timer_gettime */
	{
		ns(struct sys_timer_getoverrun_args),
		.sy_call = (sy_call_t *)sys_timer_getoverrun
	},		/* 239 = timer_getoverrun */
	{
		ns(struct compat_50_sys_nanosleep_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 240 = compat_50_nanosleep */
	{
		ns(struct sys_fdatasync_args),
		.sy_call = (sy_call_t *)sys_fdatasync
	},		/* 241 = fdatasync */
	{
		ns(struct sys_mlockall_args),
		.sy_call = (sy_call_t *)sys_mlockall
	},		/* 242 = mlockall */
	{
		.sy_call = (sy_call_t *)sys_munlockall
	},		/* 243 = munlockall */
	{
		ns(struct compat_50_sys___sigtimedwait_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 244 = compat_50___sigtimedwait */
	{
		ns(struct sys_sigqueueinfo_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_sigqueueinfo
	},		/* 245 = sigqueueinfo */
	{
		ns(struct sys_modctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_modctl
	},		/* 246 = modctl */
	{
		ns(struct sys__ksem_init_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 247 = _ksem_init */
	{
		ns(struct sys__ksem_open_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 248 = _ksem_open */
	{
		ns(struct sys__ksem_unlink_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 249 = _ksem_unlink */
	{
		ns(struct sys__ksem_close_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 250 = _ksem_close */
	{
		ns(struct sys__ksem_post_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 251 = _ksem_post */
	{
		ns(struct sys__ksem_wait_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 252 = _ksem_wait */
	{
		ns(struct sys__ksem_trywait_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 253 = _ksem_trywait */
	{
		ns(struct sys__ksem_getvalue_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 254 = _ksem_getvalue */
	{
		ns(struct sys__ksem_destroy_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 255 = _ksem_destroy */
	{
		ns(struct sys__ksem_timedwait_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 256 = _ksem_timedwait */
	{
		ns(struct sys_mq_open_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 257 = mq_open */
	{
		ns(struct sys_mq_close_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 258 = mq_close */
	{
		ns(struct sys_mq_unlink_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 259 = mq_unlink */
	{
		ns(struct sys_mq_getattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 260 = mq_getattr */
	{
		ns(struct sys_mq_setattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 261 = mq_setattr */
	{
		ns(struct sys_mq_notify_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 262 = mq_notify */
	{
		ns(struct sys_mq_send_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 263 = mq_send */
	{
		ns(struct sys_mq_receive_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 264 = mq_receive */
	{
		ns(struct compat_50_sys_mq_timedsend_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 265 = compat_50_mq_timedsend */
	{
		ns(struct compat_50_sys_mq_timedreceive_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 266 = compat_50_mq_timedreceive */
	{
		ns(struct sys_eventfd_args),
		.sy_call = (sy_call_t *)sys_eventfd
	},		/* 267 = eventfd */
	{
		.sy_call = sys_nosys,
	},		/* 268 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 269 = filler */
	{
		ns(struct sys___posix_rename_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___posix_rename
	},		/* 270 = __posix_rename */
	{
		ns(struct sys_swapctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_swapctl
	},		/* 271 = swapctl */
	{
		ns(struct compat_30_sys_getdents_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 272 = compat_30_getdents */
	{
		ns(struct sys_minherit_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_minherit
	},		/* 273 = minherit */
	{
		ns(struct sys_lchmod_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lchmod
	},		/* 274 = lchmod */
	{
		ns(struct sys_lchown_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lchown
	},		/* 275 = lchown */
	{
		ns(struct compat_50_sys_lutimes_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 276 = compat_50_lutimes */
	{
		ns(struct sys___msync13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___msync13
	},		/* 277 = __msync13 */
	{
		ns(struct compat_30_sys___stat13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 278 = compat_30___stat13 */
	{
		ns(struct compat_30_sys___fstat13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 279 = compat_30___fstat13 */
	{
		ns(struct compat_30_sys___lstat13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 280 = compat_30___lstat13 */
	{
		ns(struct sys___sigaltstack14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sigaltstack14
	},		/* 281 = __sigaltstack14 */
	{
		.sy_call = (sy_call_t *)sys___vfork14
	},		/* 282 = __vfork14 */
	{
		ns(struct sys___posix_chown_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___posix_chown
	},		/* 283 = __posix_chown */
	{
		ns(struct sys___posix_fchown_args),
		.sy_call = (sy_call_t *)sys___posix_fchown
	},		/* 284 = __posix_fchown */
	{
		ns(struct sys___posix_lchown_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___posix_lchown
	},		/* 285 = __posix_lchown */
	{
		ns(struct sys_getsid_args),
		.sy_call = (sy_call_t *)sys_getsid
	},		/* 286 = getsid */
	{
		ns(struct sys___clone_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___clone
	},		/* 287 = __clone */
	{
		ns(struct sys_fktrace_args),
		.sy_call = (sy_call_t *)sys_fktrace
	},		/* 288 = fktrace */
	{
		ns(struct sys_preadv_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG4_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_preadv
	},		/* 289 = preadv */
	{
		ns(struct sys_pwritev_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG4_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pwritev
	},		/* 290 = pwritev */
	{
		ns(struct compat_16_sys___sigaction14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 291 = compat_16___sigaction14 */
	{
		ns(struct sys___sigpending14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sigpending14
	},		/* 292 = __sigpending14 */
	{
		ns(struct sys___sigprocmask14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sigprocmask14
	},		/* 293 = __sigprocmask14 */
	{
		ns(struct sys___sigsuspend14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sigsuspend14
	},		/* 294 = __sigsuspend14 */
	{
		ns(struct compat_16_sys___sigreturn14_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 295 = compat_16___sigreturn14 */
	{
		ns(struct sys___getcwd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getcwd
	},		/* 296 = __getcwd */
	{
		ns(struct sys_fchroot_args),
		.sy_call = (sy_call_t *)sys_fchroot
	},		/* 297 = fchroot */
	{
		ns(struct compat_30_sys_fhopen_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 298 = compat_30_fhopen */
	{
		ns(struct compat_30_sys_fhstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 299 = compat_30_fhstat */
	{
		ns(struct compat_20_sys_fhstatfs_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 300 = compat_20_fhstatfs */
	{
		ns(struct compat_50_sys_____semctl13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 301 = compat_50_____semctl13 */
	{
		ns(struct compat_50_sys___msgctl13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 302 = compat_50___msgctl13 */
	{
		ns(struct compat_50_sys___shmctl13_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 303 = compat_50___shmctl13 */
	{
		ns(struct sys_lchflags_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lchflags
	},		/* 304 = lchflags */
	{
		.sy_call = (sy_call_t *)sys_issetugid
	},		/* 305 = issetugid */
	{
		ns(struct sys_utrace_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_utrace
	},		/* 306 = utrace */
	{
		ns(struct sys_getcontext_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getcontext
	},		/* 307 = getcontext */
	{
		ns(struct sys_setcontext_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_setcontext
	},		/* 308 = setcontext */
	{
		ns(struct sys__lwp_create_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_create
	},		/* 309 = _lwp_create */
	{
		.sy_call = (sy_call_t *)sys__lwp_exit
	},		/* 310 = _lwp_exit */
	{
		.sy_call = (sy_call_t *)sys__lwp_self
	},		/* 311 = _lwp_self */
	{
		ns(struct sys__lwp_wait_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_wait
	},		/* 312 = _lwp_wait */
	{
		ns(struct sys__lwp_suspend_args),
		.sy_call = (sy_call_t *)sys__lwp_suspend
	},		/* 313 = _lwp_suspend */
	{
		ns(struct sys__lwp_continue_args),
		.sy_call = (sy_call_t *)sys__lwp_continue
	},		/* 314 = _lwp_continue */
	{
		ns(struct sys__lwp_wakeup_args),
		.sy_call = (sy_call_t *)sys__lwp_wakeup
	},		/* 315 = _lwp_wakeup */
	{
		.sy_call = (sy_call_t *)sys__lwp_getprivate
	},		/* 316 = _lwp_getprivate */
	{
		ns(struct sys__lwp_setprivate_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_setprivate
	},		/* 317 = _lwp_setprivate */
	{
		ns(struct sys__lwp_kill_args),
		.sy_call = (sy_call_t *)sys__lwp_kill
	},		/* 318 = _lwp_kill */
	{
		ns(struct sys__lwp_detach_args),
		.sy_call = (sy_call_t *)sys__lwp_detach
	},		/* 319 = _lwp_detach */
	{
		ns(struct compat_50_sys__lwp_park_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 320 = compat_50__lwp_park */
	{
		ns(struct sys__lwp_unpark_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_unpark
	},		/* 321 = _lwp_unpark */
	{
		ns(struct sys__lwp_unpark_all_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_unpark_all
	},		/* 322 = _lwp_unpark_all */
	{
		ns(struct sys__lwp_setname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_setname
	},		/* 323 = _lwp_setname */
	{
		ns(struct sys__lwp_getname_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_getname
	},		/* 324 = _lwp_getname */
	{
		ns(struct sys__lwp_ctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__lwp_ctl
	},		/* 325 = _lwp_ctl */
	{
		.sy_call = sys_nosys,
	},		/* 326 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 327 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 328 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 329 = filler */
	{
		ns(struct compat_60_sys_sa_register_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 330 = compat_60_sa_register */
	{
		ns(struct compat_60_sys_sa_stacks_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 331 = compat_60_sa_stacks */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 332 = compat_60_sa_enable */
	{
		ns(struct compat_60_sys_sa_setconcurrency_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 333 = compat_60_sa_setconcurrency */
	{
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 334 = compat_60_sa_yield */
	{
		ns(struct compat_60_sys_sa_preempt_args),
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 335 = compat_60_sa_preempt */
	{
		.sy_call = sys_nosys,
	},		/* 336 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 337 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 338 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 339 = filler */
	{
		ns(struct sys___sigaction_sigtramp_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___sigaction_sigtramp
	},		/* 340 = __sigaction_sigtramp */
	{
		.sy_call = sys_nosys,
	},		/* 341 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 342 = filler */
	{
		ns(struct sys_rasctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_rasctl
	},		/* 343 = rasctl */
	{
		.sy_call = (sy_call_t *)sys_kqueue
	},		/* 344 = kqueue */
	{
		ns(struct compat_50_sys_kevent_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 345 = compat_50_kevent */
	{
		ns(struct sys__sched_setparam_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__sched_setparam
	},		/* 346 = _sched_setparam */
	{
		ns(struct sys__sched_getparam_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__sched_getparam
	},		/* 347 = _sched_getparam */
	{
		ns(struct sys__sched_setaffinity_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__sched_setaffinity
	},		/* 348 = _sched_setaffinity */
	{
		ns(struct sys__sched_getaffinity_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__sched_getaffinity
	},		/* 349 = _sched_getaffinity */
	{
		.sy_call = (sy_call_t *)sys_sched_yield
	},		/* 350 = sched_yield */
	{
		ns(struct sys__sched_protect_args),
		.sy_call = (sy_call_t *)sys__sched_protect
	},		/* 351 = _sched_protect */
	{
		.sy_call = sys_nosys,
	},		/* 352 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 353 = filler */
	{
		ns(struct sys_fsync_range_args),
		.sy_flags = SYCALL_NARGS64_VAL(2) | SYCALL_ARG3_64 | SYCALL_ARG2_64,
		.sy_call = (sy_call_t *)sys_fsync_range
	},		/* 354 = fsync_range */
	{
		ns(struct sys_uuidgen_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_uuidgen
	},		/* 355 = uuidgen */
	{
		ns(struct compat_90_sys_getvfsstat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 356 = compat_90_getvfsstat */
	{
		ns(struct compat_90_sys_statvfs1_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 357 = compat_90_statvfs1 */
	{
		ns(struct compat_90_sys_fstatvfs1_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 358 = compat_90_fstatvfs1 */
	{
		ns(struct compat_30_sys_fhstatvfs1_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 359 = compat_30_fhstatvfs1 */
	{
		ns(struct sys_extattrctl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattrctl
	},		/* 360 = extattrctl */
	{
		ns(struct sys_extattr_set_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_set_file
	},		/* 361 = extattr_set_file */
	{
		ns(struct sys_extattr_get_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_get_file
	},		/* 362 = extattr_get_file */
	{
		ns(struct sys_extattr_delete_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_delete_file
	},		/* 363 = extattr_delete_file */
	{
		ns(struct sys_extattr_set_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_set_fd
	},		/* 364 = extattr_set_fd */
	{
		ns(struct sys_extattr_get_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_get_fd
	},		/* 365 = extattr_get_fd */
	{
		ns(struct sys_extattr_delete_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_delete_fd
	},		/* 366 = extattr_delete_fd */
	{
		ns(struct sys_extattr_set_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_set_link
	},		/* 367 = extattr_set_link */
	{
		ns(struct sys_extattr_get_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_get_link
	},		/* 368 = extattr_get_link */
	{
		ns(struct sys_extattr_delete_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_delete_link
	},		/* 369 = extattr_delete_link */
	{
		ns(struct sys_extattr_list_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_list_fd
	},		/* 370 = extattr_list_fd */
	{
		ns(struct sys_extattr_list_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_list_file
	},		/* 371 = extattr_list_file */
	{
		ns(struct sys_extattr_list_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_extattr_list_link
	},		/* 372 = extattr_list_link */
	{
		ns(struct compat_50_sys_pselect_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 373 = compat_50_pselect */
	{
		ns(struct compat_50_sys_pollts_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 374 = compat_50_pollts */
	{
		ns(struct sys_setxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_setxattr
	},		/* 375 = setxattr */
	{
		ns(struct sys_lsetxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lsetxattr
	},		/* 376 = lsetxattr */
	{
		ns(struct sys_fsetxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fsetxattr
	},		/* 377 = fsetxattr */
	{
		ns(struct sys_getxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_getxattr
	},		/* 378 = getxattr */
	{
		ns(struct sys_lgetxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lgetxattr
	},		/* 379 = lgetxattr */
	{
		ns(struct sys_fgetxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fgetxattr
	},		/* 380 = fgetxattr */
	{
		ns(struct sys_listxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_listxattr
	},		/* 381 = listxattr */
	{
		ns(struct sys_llistxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_llistxattr
	},		/* 382 = llistxattr */
	{
		ns(struct sys_flistxattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_flistxattr
	},		/* 383 = flistxattr */
	{
		ns(struct sys_removexattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_removexattr
	},		/* 384 = removexattr */
	{
		ns(struct sys_lremovexattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lremovexattr
	},		/* 385 = lremovexattr */
	{
		ns(struct sys_fremovexattr_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fremovexattr
	},		/* 386 = fremovexattr */
	{
		ns(struct compat_50_sys___stat30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 387 = compat_50___stat30 */
	{
		ns(struct compat_50_sys___fstat30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 388 = compat_50___fstat30 */
	{
		ns(struct compat_50_sys___lstat30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 389 = compat_50___lstat30 */
	{
		ns(struct sys___getdents30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getdents30
	},		/* 390 = __getdents30 */
	{
		.sy_call = (sy_call_t *)(void *)nullop,
	},		/* 391 = filler */
	{
		ns(struct compat_30_sys___fhstat30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 392 = compat_30___fhstat30 */
	{
		ns(struct compat_50_sys___ntp_gettime30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 393 = compat_50___ntp_gettime30 */
	{
		ns(struct sys___socket30_args),
		.sy_call = (sy_call_t *)sys___socket30
	},		/* 394 = __socket30 */
	{
		ns(struct sys___getfh30_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getfh30
	},		/* 395 = __getfh30 */
	{
		ns(struct sys___fhopen40_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___fhopen40
	},		/* 396 = __fhopen40 */
	{
		ns(struct compat_90_sys_fhstatvfs1_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 397 = compat_90_fhstatvfs1 */
	{
		ns(struct compat_50_sys___fhstat40_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 398 = compat_50___fhstat40 */
	{
		ns(struct sys_aio_cancel_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 399 = aio_cancel */
	{
		ns(struct sys_aio_error_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 400 = aio_error */
	{
		ns(struct sys_aio_fsync_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 401 = aio_fsync */
	{
		ns(struct sys_aio_read_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 402 = aio_read */
	{
		ns(struct sys_aio_return_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 403 = aio_return */
	{
		ns(struct compat_50_sys_aio_suspend_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 404 = compat_50_aio_suspend */
	{
		ns(struct sys_aio_write_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 405 = aio_write */
	{
		ns(struct sys_lio_listio_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 406 = lio_listio */
	{
		.sy_call = sys_nosys,
	},		/* 407 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 408 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 409 = filler */
	{
		ns(struct sys___mount50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___mount50
	},		/* 410 = __mount50 */
	{
		ns(struct sys_mremap_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mremap
	},		/* 411 = mremap */
	{
		ns(struct sys_pset_create_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pset_create
	},		/* 412 = pset_create */
	{
		ns(struct sys_pset_destroy_args),
		.sy_call = (sy_call_t *)sys_pset_destroy
	},		/* 413 = pset_destroy */
	{
		ns(struct sys_pset_assign_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pset_assign
	},		/* 414 = pset_assign */
	{
		ns(struct sys__pset_bind_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys__pset_bind
	},		/* 415 = _pset_bind */
	{
		ns(struct sys___posix_fadvise50_args),
		.sy_flags = SYCALL_NARGS64_VAL(2) | SYCALL_ARG3_64 | SYCALL_ARG2_64,
		.sy_call = (sy_call_t *)sys___posix_fadvise50
	},		/* 416 = __posix_fadvise50 */
	{
		ns(struct sys___select50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___select50
	},		/* 417 = __select50 */
	{
		ns(struct sys___gettimeofday50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___gettimeofday50
	},		/* 418 = __gettimeofday50 */
	{
		ns(struct sys___settimeofday50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___settimeofday50
	},		/* 419 = __settimeofday50 */
	{
		ns(struct sys___utimes50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___utimes50
	},		/* 420 = __utimes50 */
	{
		ns(struct sys___adjtime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___adjtime50
	},		/* 421 = __adjtime50 */
	{
		ns(struct sys___lfs_segwait50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 422 = __lfs_segwait50 */
	{
		ns(struct sys___futimes50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___futimes50
	},		/* 423 = __futimes50 */
	{
		ns(struct sys___lutimes50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___lutimes50
	},		/* 424 = __lutimes50 */
	{
		ns(struct sys___setitimer50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___setitimer50
	},		/* 425 = __setitimer50 */
	{
		ns(struct sys___getitimer50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getitimer50
	},		/* 426 = __getitimer50 */
	{
		ns(struct sys___clock_gettime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___clock_gettime50
	},		/* 427 = __clock_gettime50 */
	{
		ns(struct sys___clock_settime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___clock_settime50
	},		/* 428 = __clock_settime50 */
	{
		ns(struct sys___clock_getres50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___clock_getres50
	},		/* 429 = __clock_getres50 */
	{
		ns(struct sys___nanosleep50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___nanosleep50
	},		/* 430 = __nanosleep50 */
	{
		ns(struct sys_____sigtimedwait50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_____sigtimedwait50
	},		/* 431 = ____sigtimedwait50 */
	{
		ns(struct sys___mq_timedsend50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 432 = __mq_timedsend50 */
	{
		ns(struct sys___mq_timedreceive50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 433 = __mq_timedreceive50 */
	{
		ns(struct compat_60_sys__lwp_park_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 434 = compat_60__lwp_park */
	{
		ns(struct sys___kevent50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___kevent50
	},		/* 435 = __kevent50 */
	{
		ns(struct sys___pselect50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___pselect50
	},		/* 436 = __pselect50 */
	{
		ns(struct sys___pollts50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___pollts50
	},		/* 437 = __pollts50 */
	{
		ns(struct sys___aio_suspend50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 438 = __aio_suspend50 */
	{
		ns(struct sys___stat50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___stat50
	},		/* 439 = __stat50 */
	{
		ns(struct sys___fstat50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___fstat50
	},		/* 440 = __fstat50 */
	{
		ns(struct sys___lstat50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___lstat50
	},		/* 441 = __lstat50 */
	{
		ns(struct sys_____semctl50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 442 = ____semctl50 */
	{
		ns(struct sys___shmctl50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 443 = __shmctl50 */
	{
		ns(struct sys___msgctl50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_nomodule
	},		/* 444 = __msgctl50 */
	{
		ns(struct sys___getrusage50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getrusage50
	},		/* 445 = __getrusage50 */
	{
		ns(struct sys___timer_settime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___timer_settime50
	},		/* 446 = __timer_settime50 */
	{
		ns(struct sys___timer_gettime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___timer_gettime50
	},		/* 447 = __timer_gettime50 */
#if defined(NTP) || !defined(_KERNEL_OPT)
	{
		ns(struct sys___ntp_gettime50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___ntp_gettime50
	},		/* 448 = __ntp_gettime50 */
#else
	{
		.sy_call = sys_nosys,
	},		/* 448 = filler */
#endif
	{
		ns(struct sys___wait450_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___wait450
	},		/* 449 = __wait450 */
	{
		ns(struct sys___mknod50_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG2_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___mknod50
	},		/* 450 = __mknod50 */
	{
		ns(struct sys___fhstat50_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___fhstat50
	},		/* 451 = __fhstat50 */
	{
		.sy_call = sys_nosys,
	},		/* 452 = filler */
	{
		ns(struct sys_pipe2_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_pipe2
	},		/* 453 = pipe2 */
	{
		ns(struct sys_dup3_args),
		.sy_call = (sy_call_t *)sys_dup3
	},		/* 454 = dup3 */
	{
		ns(struct sys_kqueue1_args),
		.sy_call = (sy_call_t *)sys_kqueue1
	},		/* 455 = kqueue1 */
	{
		ns(struct sys_paccept_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_paccept
	},		/* 456 = paccept */
	{
		ns(struct sys_linkat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_linkat
	},		/* 457 = linkat */
	{
		ns(struct sys_renameat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_renameat
	},		/* 458 = renameat */
	{
		ns(struct sys_mkfifoat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mkfifoat
	},		/* 459 = mkfifoat */
	{
		ns(struct sys_mknodat_args),
		.sy_flags = SYCALL_NARGS64_VAL(1) | SYCALL_ARG4_64 | SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mknodat
	},		/* 460 = mknodat */
	{
		ns(struct sys_mkdirat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_mkdirat
	},		/* 461 = mkdirat */
	{
		ns(struct sys_faccessat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_faccessat
	},		/* 462 = faccessat */
	{
		ns(struct sys_fchmodat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fchmodat
	},		/* 463 = fchmodat */
	{
		ns(struct sys_fchownat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fchownat
	},		/* 464 = fchownat */
	{
		ns(struct sys_fexecve_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fexecve
	},		/* 465 = fexecve */
	{
		ns(struct sys_fstatat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_fstatat
	},		/* 466 = fstatat */
	{
		ns(struct sys_utimensat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_utimensat
	},		/* 467 = utimensat */
	{
		ns(struct sys_openat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_openat
	},		/* 468 = openat */
	{
		ns(struct sys_readlinkat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_readlinkat
	},		/* 469 = readlinkat */
	{
		ns(struct sys_symlinkat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_symlinkat
	},		/* 470 = symlinkat */
	{
		ns(struct sys_unlinkat_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_unlinkat
	},		/* 471 = unlinkat */
	{
		ns(struct sys_futimens_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_futimens
	},		/* 472 = futimens */
	{
		ns(struct sys___quotactl_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___quotactl
	},		/* 473 = __quotactl */
	{
		ns(struct sys_posix_spawn_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_posix_spawn
	},		/* 474 = posix_spawn */
	{
		ns(struct sys_recvmmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_recvmmsg
	},		/* 475 = recvmmsg */
	{
		ns(struct sys_sendmmsg_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_sendmmsg
	},		/* 476 = sendmmsg */
	{
		ns(struct sys_clock_nanosleep_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_clock_nanosleep
	},		/* 477 = clock_nanosleep */
	{
		ns(struct sys____lwp_park60_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys____lwp_park60
	},		/* 478 = ___lwp_park60 */
	{
		ns(struct sys_posix_fallocate_args),
		.sy_flags = SYCALL_NARGS64_VAL(2) | SYCALL_ARG3_64 | SYCALL_ARG2_64,
		.sy_call = (sy_call_t *)sys_posix_fallocate
	},		/* 479 = posix_fallocate */
	{
		ns(struct sys_fdiscard_args),
		.sy_flags = SYCALL_NARGS64_VAL(2) | SYCALL_ARG3_64 | SYCALL_ARG2_64,
		.sy_call = (sy_call_t *)sys_fdiscard
	},		/* 480 = fdiscard */
	{
		ns(struct sys_wait6_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_wait6
	},		/* 481 = wait6 */
	{
		ns(struct sys_clock_getcpuclockid2_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_clock_getcpuclockid2
	},		/* 482 = clock_getcpuclockid2 */
	{
		ns(struct sys___getvfsstat90_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___getvfsstat90
	},		/* 483 = __getvfsstat90 */
	{
		ns(struct sys___statvfs190_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___statvfs190
	},		/* 484 = __statvfs190 */
	{
		ns(struct sys___fstatvfs190_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___fstatvfs190
	},		/* 485 = __fstatvfs190 */
	{
		ns(struct sys___fhstatvfs190_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___fhstatvfs190
	},		/* 486 = __fhstatvfs190 */
	{
		ns(struct sys___acl_get_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_get_link
	},		/* 487 = __acl_get_link */
	{
		ns(struct sys___acl_set_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_set_link
	},		/* 488 = __acl_set_link */
	{
		ns(struct sys___acl_delete_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_delete_link
	},		/* 489 = __acl_delete_link */
	{
		ns(struct sys___acl_aclcheck_link_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_aclcheck_link
	},		/* 490 = __acl_aclcheck_link */
	{
		ns(struct sys___acl_get_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_get_file
	},		/* 491 = __acl_get_file */
	{
		ns(struct sys___acl_set_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_set_file
	},		/* 492 = __acl_set_file */
	{
		ns(struct sys___acl_get_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_get_fd
	},		/* 493 = __acl_get_fd */
	{
		ns(struct sys___acl_set_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_set_fd
	},		/* 494 = __acl_set_fd */
	{
		ns(struct sys___acl_delete_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_delete_file
	},		/* 495 = __acl_delete_file */
	{
		ns(struct sys___acl_delete_fd_args),
		.sy_call = (sy_call_t *)sys___acl_delete_fd
	},		/* 496 = __acl_delete_fd */
	{
		ns(struct sys___acl_aclcheck_file_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_aclcheck_file
	},		/* 497 = __acl_aclcheck_file */
	{
		ns(struct sys___acl_aclcheck_fd_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys___acl_aclcheck_fd
	},		/* 498 = __acl_aclcheck_fd */
	{
		ns(struct sys_lpathconf_args),
		.sy_flags = SYCALL_ARG_PTR,
		.sy_call = (sy_call_t *)sys_lpathconf
	},		/* 499 = lpathconf */
	{
		.sy_call = sys_nosys,
	},		/* 500 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 501 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 502 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 503 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 504 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 505 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 506 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 507 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 508 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 509 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 510 = filler */
	{
		.sy_call = sys_nosys,
	},		/* 511 = filler */
};

const uint32_t sysent_nomodbits[] = {
	0x042c4180,	/* syscalls   0- 31 */
	0xc0b14140,	/* syscalls  32- 63 */
	0x23f80083,	/* syscalls  64- 95 */
	0x2437f0ea,	/* syscalls  96-127 */
	0x7877f406,	/* syscalls 128-159 */
	0x7f008e1e,	/* syscalls 160-191 */
	0xf0044010,	/* syscalls 192-223 */
	0xff9167ff,	/* syscalls 224-255 */
	0x01d107ff,	/* syscalls 256-287 */
	0x0000fc88,	/* syscalls 288-319 */
	0x0200fc01,	/* syscalls 320-351 */
	0x006000f0,	/* syscalls 352-383 */
	0x007fe338,	/* syscalls 384-415 */
	0x1c470040,	/* syscalls 416-447 */
	0x00000000,	/* syscalls 448-479 */
	0x00000000,	/* syscalls 480-511 */
};
